Summary: Multilingual Input System
Name: Wnn
Version: 4.2
Release: 8a
Group: Extensions/Japanese
Copyright: distributable
Source0: ftp://ftp.tut.ac.jp/UNIX/wnn/Wnn4.2.tar.gz
Source1: jserver.init
Patch0: localhost:/Wnn-4.2.shared.patch
Patch1: localhost:/Wnn-4.2.jserveronly.patch
Patch2: localhost:/Wnn-4.2.dir.patch
Patch3: localhost:/Wnn-4.2.v3.patch
Patch4: localhost:/Wnn-4.2.uum.patch
Patch5: localhost:/wnn.fix.patch
Patch6: localhost:/wnn_malloc.patch
Patch7: localhost:/wnn4.2-mklignux-ppc.link_libcrypt.patch
Patch8: localhost:/wnn4.2-mklignux-ppc.types.patch
Patch9: localhost:/Wnn-4.2.nonroot.patch
Patch10: localhost:/Wnn-4.2.libdir.patch
Patch11: localhost:/Wnn-4.2-glibc.patch
Patch12: localhost:/Wnn-4.2-do_filecom.patch
Prefix: /usr
BuildRoot: /var/tmp/%{name}-root
Distribution: Japanese RPM (JRPM)
Vendor: Linux Japanese RPM Project 
#Packager: Atsushi Yamagata <yamagata@plathome.co.jp>
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>
Summary(ja): ޥ󥬥ϥƥ

%description
Wnn is a network-extensible Kana-to-Kanji conversion system.
This package includes only a Japanese input system.

%description -l ja
Wnn ϥͥåȥ̾ѴƥǤ
ΥѥåܸѴƥΤߴޤߤޤ

%package devel
Summary: development library and header file for Wnn
Group: Extensions/Japanese
Summary(ja): Wnnѳȯ饤֥ȥإåե

%description devel
This package contains the header file and library for building programs
with use Wnn.

%description devel -l ja
Υѥåˤ Wnn Ѥץ򥳥ѥ뤹뤿ɬ
ʥإåեȥ饤֥ޤǤޤ

%prep
%setup -q -n Xsi
%patch0 -p1

cd config
tail +1083 Project.tmpl | sed 's/$imakeprefix/(IMAKEPREFIX)/g' >Project.tmpl.wnn
mv Project.tmpl Rroject.tmpl.org
if [ -e /usr/X11R6/lib/X11/config/X11.tmpl ]
then
	cat /usr/X11R6/lib/X11/config/X11.tmpl Project.tmpl.wnn >X11.tmpl
else
	cat /usr/X11R6/lib/X11/config/Project.tmpl Project.tmpl.wnn >X11.tmpl
fi
ln -s X11.tmpl Project.tmpl
cd ..

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
set `/usr/bin/id`
if [ X$1 != "Xuid=0(root)" ]; then
%patch9 -p1
fi
%patch10 -p1
%patch11 -p1
%patch12 -p1

cd ${RPM_BUILD_DIR}/Xsi
mkdir -p Xsi/Wnn
mkdir -p Xsi/config
cp README README.sun Xsi
cp Wnn/FAQ Wnn/READ.ME Wnn/READ.ME.j Xsi/Wnn
cp config/X11.tmpl Xsi/config
touch Xsi/config/Project.tmpl

rm -fr ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6
if [ -d /usr/X11R6.1 ]; then
	ln -fs ${RPM_BUILD_ROOT}/usr/X11R6 ${RPM_BUILD_ROOT}/usr/X11R6.1
fi
if [ -d /usr/X11R6.3 ]; then
	ln -fs ${RPM_BUILD_ROOT}/usr/X11R6 ${RPM_BUILD_ROOT}/usr/X11R6.3
fi
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/man/man1

%build
make World -f Makefile.inst

%install
WNNLANG=ja
JWNNMANPATH=${RPM_BUILD_ROOT}%{prefix}/man/${WNNLANG}
make install DESTDIR=${RPM_BUILD_ROOT}
make install.man MANPATH=$JWNNMANPATH

mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/init.d
cp ${RPM_SOURCE_DIR}/jserver.init $RPM_BUILD_ROOT/etc/rc.d/init.d/jserver

cd $JWNNMANPATH
mkdir man4 man5
mv man1/*.4 man4
mv man1/*.5 man5

mkdir -p ${RPM_BUILD_ROOT}/var/lib/wnn/ja_JP/dic/usr
set `/usr/bin/id`
if [ X$1 = "Xuid=0(root)" ]; then
	chown wnn ${RPM_BUILD_ROOT}/var/lib/wnn/ja_JP/dic/usr
	chown root.root ${RPM_BUILD_DIR}/RN_Wnn42
fi

%clean
rm -fr ${RPM_BUILD_ROOT}

%pre
if ! grep -q '^wnn:' /etc/group
then
	/usr/sbin/groupadd wnn
	if  ! grep -q '^wnn:' /etc/passwd
	then
		/usr/sbin/useradd -g wnn -M wnn
	fi
fi

%post
cd /var/lib/wnn/ja_JP/dic/pubdic
/usr/bin/wnntouch *.*

cd /usr/doc/Wnn-4.2/Xsi/config
ln -fs X11.tmpl Project.tmpl 

%preun
 rm -f /usr/doc/Wnn-4.2/Xsi/config/Project.tmpl 

%post devel
/sbin/ldconfig

%postun devel
/sbin/ldconfig

%files
%doc ../RN_Wnn42 Xsi
%config /etc/rc.d/init.d/jserver
/var/lib/wnn/
%{prefix}/bin/*
%{prefix}/lib/libwnn.so.1.0.0
%{prefix}/lib/libwnn.so.1.0
%{prefix}/lib/libjd.so.1.0.0
%{prefix}/lib/libjd.so.1.0
%{prefix}/man/ja/man1/*
%{prefix}/man/ja/man4/*
%{prefix}/man/ja/man5/*

%files devel
%{prefix}/include/wnn/
%{prefix}/lib/libwnn.a
%{prefix}/lib/libwnn.so
%{prefix}/lib/libjd.a
%{prefix}/lib/libjd.so
%{prefix}/man/ja/man3/*

%changelog
* Thu Jun 23 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- adopted glibc patch by T.Oe
- accomodate with chkconfig
- built against glibc2.1

* Mon Jan 25 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- 8th release
- changed installed directories
- added Prefix tag

* Wed Jul 15 1998 Shoichiro Nagata <nagata@mach.ee.miyazaki-u.ac.jp>
- 7th release
- append wnn_malloc.patch by Kaoru Fukui <k_fukui@highway.ne.jp>. Thanx !!
- His original patch file was "Wnn_KF001.patch", I merged his document
- "wnn_malloc.patch.doc (Wnn_KF001.doc)" to the patch and changed the file name.

* Thu Feb 12 1998 Shoichiro Nagata <nagata@mach.ee.miyazaki-u.ac.jp>
- 6th release
- append wnn.fix.patch for glibc by Atsutoshi Morishima

* Thu Nov 13 1997 Atsushi Yamagata <yamagata@jwu.ac.jp>
- 5th release
- shared library jd provided
- divided the Wnn package into Wnn and Wnn-devel

* Sat Oct 04 1997 Atsushi Yamagata <yamagata@jwu.ac.jp>
- 4th release
- shared library wnn provided

* Wed Sep 03 1997 Atsushi Yamagata <yamagata@jwu.ac.jp>
- 3rd release
- listed in .spec explicitly files in the directory /usr/local/bin/Wnn4/

* Mon Sep 01 1997 Atsushi Yamagata <yamagata@jwu.ac.jp>
- 2nd release
- created X11.tmpl and Project.tmpl for X11R6.1 or X11R6.3
- rename the init file, mv jserver jserver.init

* Thu Aug 21 1997 Atsushi Yamagata <yamagata@jwu.ac.jp>
- 1st release
